aes.h File Reference

Go to the source code of this file.

## Macros

#define | AES_BLOCK_SIZE 16

## Functions

void * | aes_encrypt_init (const u8 *key, size_t len)
void | aes_encrypt (void *ctx, const u8 *plain, u8 *crypt)
void | aes_encrypt_deinit (void *ctx)
void * | aes_decrypt_init (const u8 *key, size_t len)
void | aes_decrypt (void *ctx, const u8 *crypt, u8 *plain)
void | aes_decrypt_deinit (void *ctx)

## Detailed Description

AES functions

## Macro Definition Documentation

## AES_BLOCK_SIZE

#define AES_BLOCK_SIZE 16

## Function Documentation

## aes_decrypt()

void aes_decrypt | ( | void * | ctx,
|  | const u8 * | crypt,
|  | u8 * | plain
| ) |  |

## aes_decrypt_deinit()

void aes_decrypt_deinit | ( | void * | ctx | ) |

## aes_decrypt_init()

void* aes_decrypt_init | ( | const u8 * | key,
|  | size_t | len
| ) |  |

## aes_encrypt()

void aes_encrypt | ( | void * | ctx,
|  | const u8 * | plain,
|  | u8 * | crypt
| ) |  |

References rijndaelEncrypt().

Referenced by aes_128_encrypt_block().

## aes_encrypt_deinit()

void aes_encrypt_deinit | ( | void * | ctx | ) |

References AES_PRIV_SIZE, os_free, and os_memset.

Referenced by aes_128_encrypt_block().

## aes_encrypt_init()

void* aes_encrypt_init | ( | const u8 * | key,
|  | size_t | len
| ) |  |

References AES_PRIV_SIZE, len, os_malloc, and rijndaelKeySetupEnc().

Referenced by aes_128_encrypt_block().